<div class="app-main__top">
    <div class="container">
        <div class="top">
            <div class="top__toolbar">
                <a class="btn btn--default btn--outline btn--icon btn--rounded btn--mob-link" href="{$helper->url('Template@info',['templateName'=>$template->getMainName()])}"><i class="btn__icon zmdi zmdi-arrow-left"></i></a>
            </div>
            <div class="top__content">
                <div class="top__title">
                    <ul class="top__title-text breadcrumb breadcrumb--angle-separator ">
                        <li class="breadcrumb__item"><a class="breadcrumb__item-text" href="{$helper->url('Template@info',['templateName'=>$template->getMainName()])}">{$template->getName()}</a></li>
                        <li class="breadcrumb__item"><span class="breadcrumb__item-text">Email Template</span></li>
                        {if $extension->isActive()}
                            <span class="label label--success label--outline m-l-2x">Active</span>
                        {/if}
                    </ul>
                </div>
            </div>

            <div class="top__toolbar">
                <div class="has-dropdown">
                    <a class="btn btn--default btn--outline" href="" data-toggle="lu-dropdown" data-placement="bottom right">
                        <span class="btn__text">Actions</span>
                        <span class="btn__icon btn__icon-arrow zmdi zmdi-chevron-down is-hidden-mob-down" data-arrow-target></span>
                        <span class="btn__icon zmdi zmdi-more-vert is-hidden-mob-up" data-arrow-target></span>
                    </a>
                    <div class="dropdown" data-dropdown-menu>
                        <div class="dropdown__arrow" data-arrow></div>
                        <div class="dropdown__menu">
                            <ul class="nav">
                                {if $extension->isActive()}
                                    <li class="nav__item">
                                        {*<a class="nav__link" href="#" data-toggle="lu-modal" data-target="#deactivateeModal">
                                            <span class="nav__link-icon zmdi zmdi-power-off"></span>
                                            <span class="nav__link-text">Deactivate</span>
                                        </a>*}
                                        <a class="nav__link" href="{$extension->getLink('deactivate')}">
                                            <span class="nav__link-icon zmdi zmdi-power-off"></span>
                                            <span class="nav__link-text">Deactivate</span>
                                        </a>
                                    </li>
                                {else}
                                    <li class="nav__item">
                                        <a class="nav__link" href="{$extension->getLink('activate')}">
                                            <span class="nav__link-icon zmdi zmdi-check"></span>
                                            <span class="nav__link-text">Activate</span>
                                        </a>
                                    </li>
                                {/if}
                                <li class="nav__item">
                                    <a class="nav__link" href="addonmodules.php?templateName={$template->getName()|lower}&controller=Template&action=report&module=RSThemes">
                                        <span class="nav__link-icon zmdi zmdi-bug"></span>
                                        <span class="nav__link-text">Report Bug</span>
                                    </a>
                                </li>
                                <li class="nav__divider"></li>
                                <li class="nav__item">
                                    <a class="nav__link" href="https://lagom.rsstudio.net/docs/" target="_blank">
                                        <span class="nav__link-icon zmdi zmdi-book"></span>
                                        <span class="nav__link-text">Docs</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                {if !$extension->isActive()}
                    <a href="{$extension->getLink('activate')}" class="btn btn--success">
                        <span class="btn__text">Activate</span>
                    </a>
                {else}
                    <button class="btn btn--primary" type="button" data-toggle="lu-modal" data-target="#emailPrev">
                        <span class="btn__icon zmdi zmdi-search"></span>
                        <span class="btn__text">Preview</span>
                    </button>
                {/if}
            </div>
        </div>
    </div>
</div>


<div class="modal" id="activateModal">
    <div class="modal__dialog">
        <div class="modal__content">
            <div class="modal__top top">
                <h4 class="top__title h6 m-b-0x">Before activate</h4>
                <div class="top__toolbar">
                    <button class="close btn btn--xs btn--icon btn--link" data-dismiss="lu-modal" aria-label="Close">
                        <i class="btn__icon zmdi zmdi-close"></i>
                    </button>
                </div>
            </div>
            <div class="modal__body">
                <p class="p-1">Warning, enable backup before activation !</p>
                <div class="text-center">
                    <a href="{$extension->getLink('activate')}" class="btn btn--xlg btn--success">
                        <span class="btn__text">Activate</span>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="deactivateeModal">
    <div class="modal__dialog">
        <div class="modal__content">
            <div class="modal__top top">
                <h4 class="top__title h6 m-b-0x">Before deactivate</h4>
                <div class="top__toolbar">
                    <button class="close btn btn--xs btn--icon btn--link" data-dismiss="lu-modal" aria-label="Close">
                        <i class="btn__icon zmdi zmdi-close"></i>
                    </button>
                </div>
            </div>
            <div class="modal__body">
                <p class="p-1">Warning, make backup before deactivation!</p>
                <div class="text-center">
                    <a href="{$extension->getLink('deactivate')}" class="btn btn--xlg btn--danger">
                        <span class="btn__text">Deactivate</span>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>